# eID Check

## Run an eID check

This check can only be initiated through a Workflow Session and is not supported for direct API calls.

[Learn more about eID Checks](/documentation/product-guides/identity-verification/eid-check.md).

{% hint style="info" %}
Get in touch with your Account Manager or [contact us](https://www.complycube.com/sales) to enable this service.
{% endhint %}

## Result object

The `result` object is only returned when the status of the check is `complete` . It has two components - `outcome` and `breakdown`.

### Outcome

The outcome attribute represents the overall check result. Returned values include:

1. `clear`: Indicates every analysis type conducted returned a successful result.
2. `attention`: Indicates at least one of the analysis results requires attention.
3. `not_processed`: Indicates that ComplyCube was not able to retrieve the eID data required to run a check.

### Breakdown

The breakdown comprises the following objects:

#### `eIDInformation` object

This represents the data retrieved from the **eID authority**. It has the following constituents:

* `scheme`: The eID scheme. Values include:
  * `ae_uae_pass`
  * `be_itsme_standard`
  * `de_personalausweis_high`
  * `dk_mitid_low`
  * `dk_mitid_substantial`
  * `dk_mitid_high`
  * `fi_tn_bankid`
  * `nl_idin_standard`
  * `no_bankid_substantial`
  * `no_bankid_high`
  * `se_bank_id`
* `assuranceLevel`: The assurance level of the eID verifcation result. Values include:
  * `high`
  * `medium`
  * `low`
* `issuingCountry`: The issuing country of the eID scheme. This will be the [two-letter country ISO code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
* `holderDetails`: The client data retrieved from the eID scheme:
  * `firstName`: The list of first/given names as an array.
  * `middleName`: The list of middle names as an array.
  * `lastName`: The list of last names as an array.
  * `dob`: The date of birth. This will be a [structured date](/documentation/api-reference/core-resources/checks.md#structured-date-format).
  * `gender`: The gender. Values include:
    * `male`
    * `female`
    * `other`
  * `nationality`: The nationality. This will be the [two-letter country ISO code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
  * `socialInsuranceNumber`: The social insurance number, if available.
  * `nationalIdentityNumber`: The national identity number, if available.
  * `taxIdentificationNumber`: The tax identification number, if available.
  * `address` : This will be the structured address, which includes the following:
    * `propertyNumber`: The property number.
    * `line`: The address line.
    * `city`: The address city.
    * `state`: The address state.
    * `postalCode`: The address postal code.
    * `country`: The address country. This will be the [two-letter country ISO code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
  * `images`: The images retrieved from the scheme. It's an array of type/data objects:
    * `type`: The extracted image type. Values include:
      * `extracted_face`
      * `extracted_signature`
    * `data`: The `BASE64` encoded data content.

**Analysis**

For each conducted analysis, the returned values include:

1. `clear`: Indicates the analysis returned a successful result.
2. `attention`: Indicates the analysis returned a result that requires a review.
3. `not_processed`: Indicates the analysis was not conducted.

#### `identityVerification` object

The identity verification results. It has the following constituents:

* `name`: Indicates whether the client's name matches the eID scheme record.
* `dob`: Indicates whether the client's date of birth matches the eID scheme record.
* `nationality`: Indicates whether the client's nationality matches the eID scheme record.
* `address`: Indicates whether the client's address matches the eID scheme record.
* `socialInsuranceNumber`: Indicates whether the client's social insurance number matches the eID scheme record.
* `nationalIdentityNumber`: Indicates whether the client's national identity number matches the eID scheme record.
* `taxIdentificationNumber`: Indicates whether the client's tax identification number matches the eID scheme record.

#### `clientValidation` object

The client validation results. It has the following constituents::

* `firstName`: Indicates whether the client provided first name matches the retrieved first name.
* `lastName`: Indicates whether the client provided last name matches the retrieved last name.
* `dob`: Indicates whether the client provided date of birth matches the retrieved date of birth.
* `address`: Indicates whether the client provided address matches the retrieved address.
* `socialInsuranceNumber`: Indicates whether the client provided social insurance number matches the retrieved social insurance number.
* `nationalIdentityNumber`: Indicates whether the client provided national identity number matches the retrieved national identity number.
* `taxIdentificationNumber`: Indicates whether the client provided tax identification number matches the retrieved tax identification number.

## Sample Response

```json
{
    "id": "6231d54079f59b1530fc76e3",
    "entityName": "John Richard Doe",
    "type": "eid_check",
    "clientId": "6230d4ab58ed4a434afbf2cc",
    "status": "complete",
    "result": {
        "outcome": "clear",
        "breakdown": {
            "eIDInformation": {
                "scheme": "no_bankid_substantial",
                "assuranceLevel": "high",
                "issuingCountry": "NL",
                "holderDetails": {
                    "firstName": [
                        "JOHN"
                    ],
                    "middleName": [
                        "RICHARD"
                    ],
                    "lastName": [
                        "DOE"
                    ],
                    "dob": {
                        "day": 1,
                        "month": 1,
                        "year": 2000
                    },
                    "gender": "male",
                    "taxIdentificationNumber": "1234567890",
                    "address": {
                        "propertyName": "Flat 21B",
                        "line": "Prinsengracht 204",
                        "city": "Amsterdam",
                        "state": "North Holland",
                        "postalCode": "1016 HD",
                        "country": "NL"
                    },
                    "images": [{
                        "type": "extracted_face",
                        "data": "BASE64_IMAGE_CONTENT"
                    }]
                }
            },
            "identityVerification": {
                "name": "clear",
                "dob": "clear",
                "nationality": "clear",
                "gender": "clear",
                "address": "clear",
                "socialInsuranceNumber": "not_processed",
                "nationalIdentityNumber": "not_processed",
                "taxIdentificationNumber": "clear"
            },
            "clientValidation": {
                "firstName": "clear",
                "lastName": "clear",
                "dob": "clear",
                "address": "clear",
                "socialInsuranceNumber": "not_processed",
                "nationalIdentityNumber": "not_processed",
                "taxIdentificationNumber": "clear"
            }
        }
    },
    "updatedAt": "2025-01-01T12:17:06.046Z",
    "createdAt": "2025-01-01T12:17:04.809Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/check-types/eid-check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
